aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure23
1 files changed, 5 insertions, 18 deletions
diff --git a/configure b/configure
index ad724ccb..5a14890b 100755
--- a/configure
+++ b/configure
@@ -20,29 +20,14 @@
20# This script checks if a suitable python3 executable is installed and then 20# This script checks if a suitable python3 executable is installed and then
21# executes the actual configure logic written in Python. 21# executes the actual configure logic written in Python.
22 22
23build_system_dir=build-system 23scriptpath=build-system/taler-build-scripts
24 24
25if ! test -d "$build_system_dir"; then 25if ! test -d "$scriptpath"; then
26 # Maybe this is not a top-level configure invocation 26 echo "fatal error: taler-build-scripts not found at $scriptpath" >&2
27 # For monorepos, try location from top-level
28 build_system_dir=../../build-system
29fi
30
31if ! test -d "$build_system_dir"; then
32 echo "fatal error: build-system directory not found" >&2
33 echo "hint: are you running this script from the right directory?" >&2
34 exit 1
35fi
36
37scriptpath=$build_system_dir/taler-build-scripts
38if ! test -d "$build_system_dir"; then
39 echo "fatal error: taler-build-scripts directory not found at $scriptpath" >&2
40 echo "hint: did you run './bootstrap'?" >&2 27 echo "hint: did you run './bootstrap'?" >&2
41 exit 1 28 exit 1
42fi 29fi
43 30
44export TALERBUILDSYSTEMDIR=$build_system_dir
45
46# Check that the python3 executable is on the PATH. 31# Check that the python3 executable is on the PATH.
47# This follows PEP 394 (https://www.python.org/dev/peps/pep-0394/). 32# This follows PEP 394 (https://www.python.org/dev/peps/pep-0394/).
48if ! python3 --version >/dev/null 2>&1; then 33if ! python3 --version >/dev/null 2>&1; then
@@ -56,5 +41,7 @@ python3 "$scriptpath/pyvercheck.py" || exit $?
56# Allow Python to find libraries that are checked into the build system git. 41# Allow Python to find libraries that are checked into the build system git.
57export PYTHONPATH="$scriptpath:${PYTHONPATH:-}" 42export PYTHONPATH="$scriptpath:${PYTHONPATH:-}"
58 43
44export TALERBUILDSYSTEMDIR=./build-system
45
59# Call configure.py, assuming all went well. 46# Call configure.py, assuming all went well.
60python3 $TALERBUILDSYSTEMDIR/configure.py "$@" 47python3 $TALERBUILDSYSTEMDIR/configure.py "$@"